%define upstream_name    JSON-Validator
%define upstream_version 5.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

License:    Artistic
Group:      Development/Perl
Summary:    Validate data against a JSON schema
Url:        https://metacpan.org/pod/JSON::Validator
Source0:    https://cpan.metacpan.org/authors/id/J/JH/JHTHORSEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Mojolicious) >= 7.280.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 1.300.0
BuildRequires: perl(YAML::XS) >= 0.670.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Validate data against a JSON schema.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{make}

%check
# Workaround to Solve test build issue https://github.com/jhthorsen/json-validator/issues/72
rm -f t/jv-formats.t t/jv-object.t t/openapi-formats.t
%{make} test

%install
%{make_install}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Jul 07 2025 umeabot <umeabot> 5.150.0-2.mga10
+ Revision: 2248387
- Mageia 10 Mass Rebuild

* Mon Mar 17 2025 tv <tv> 5.150.0-1.mga10
+ Revision: 2165613
- update to 5.15

* Tue Aug 29 2023 tv <tv> 5.140.0-1.mga10
+ Revision: 1980984
- update to 5.14

* Wed Dec 14 2022 tv <tv> 5.130.0-1.mga9
+ Revision: 1922071
- update to 5.13

* Tue Nov 01 2022 tv <tv> 5.120.0-1.mga9
+ Revision: 1900795
- update to 5.12

* Mon Sep 05 2022 tv <tv> 5.110.0-1.mga9
+ Revision: 1884072
- update to 5.11

* Fri Aug 19 2022 tv <tv> 5.100.0-1.mga9
+ Revision: 1878674
- update to 5.10

* Mon Mar 28 2022 tv <tv> 5.80.0-1.mga9
+ Revision: 1829797
- update to 5.08

* Wed Mar 23 2022 umeabot <umeabot> 5.50.0-2.mga9
+ Revision: 1820998
- Mageia 9 Mass Rebuild

* Thu Jan 06 2022 tv <tv> 5.50.0-1.mga9
+ Revision: 1767132
- update to 5.05

* Mon Dec 13 2021 tv <tv> 5.40.0-1.mga9
+ Revision: 1761812
- update to 5.04

* Mon Nov 22 2021 tv <tv> 5.30.0-1.mga9
+ Revision: 1758584
- update to 5.03

* Thu Oct 07 2021 tv <tv> 5.20.0-1.mga9
+ Revision: 1749824
- update to 5.02

* Mon Oct 04 2021 tv <tv> 5.0.0-1.mga9
+ Revision: 1749254
- update to 5.00

* Mon Sep 27 2021 tv <tv> 4.250.0-1.mga9
+ Revision: 1746624
- update to 4.25

* Mon Sep 20 2021 tv <tv> 4.240.0-1.mga9
+ Revision: 1746005
- update to 4.24

* Tue Aug 31 2021 tv <tv> 4.230.0-1.mga9
+ Revision: 1743681
- update to 4.23

* Sat Jul 17 2021 tv <tv> 4.210.0-1.mga9
+ Revision: 1736373
- update to 4.21

* Wed Jun 23 2021 tv <tv> 4.200.0-1.mga9
+ Revision: 1731828
- update to 4.20

* Tue May 04 2021 tv <tv> 4.170.0-1.mga9
+ Revision: 1721206
- update to 4.17

* Wed Mar 24 2021 tv <tv> 4.160.0-1.mga9
+ Revision: 1708593
- update to 4.16

* Thu Feb 25 2021 tv <tv> 4.140.0-1.mga9
+ Revision: 1690284
- update to 4.14

* Wed Oct 14 2020 tv <tv> 4.100.0-1.mga8
+ Revision: 1635567
- update to 4.10

* Mon Oct 12 2020 tv <tv> 4.80.0-1.mga8
+ Revision: 1633616
- update to 4.08

* Sun Oct 11 2020 tv <tv> 4.60.0-1.mga8
+ Revision: 1633150
- update to 4.06

* Tue Oct 06 2020 tv <tv> 4.50.0-1.mga8
+ Revision: 1632365
- update to 4.05

* Tue Sep 29 2020 tv <tv> 4.40.0-1.mga8
+ Revision: 1631019
- update to 4.04

* Tue Sep 15 2020 tv <tv> 4.30.0-1.mga8
+ Revision: 1626637
- update to 4.03

* Wed Aug 12 2020 tv <tv> 4.20.0-1.mga8
+ Revision: 1613483
- update to 4.02

* Wed Jul 01 2020 tv <tv> 4.10.0-1.mga8
+ Revision: 1600909
- update to 4.01

* Tue Jun 09 2020 tv <tv> 4.0.0-1.mga8
+ Revision: 1591355
- update to 4.00

* Thu Mar 26 2020 tv <tv> 3.250.0-1.mga8
+ Revision: 1560703
- update to 3.25

* Wed Mar 04 2020 tv <tv> 3.240.0-1.mga8
+ Revision: 1553664
- update to 3.24

* Mon Feb 24 2020 tv <tv> 3.230.0-1.mga8
+ Revision: 1549798
- update to 3.23

* Thu Feb 20 2020 umeabot <umeabot> 3.220.0-2.mga8
+ Revision: 1545621
- Mageia 8 Mass Rebuild

* Sat Feb 15 2020 tv <tv> 3.220.0-1.mga8
+ Revision: 1525392
- update to 3.22

* Thu Feb 13 2020 tv <tv> 3.200.0-1.mga8
+ Revision: 1513352
- update to 3.20

* Tue Feb 11 2020 tv <tv> 3.190.0-1.mga8
+ Revision: 1489046
- update to 3.19

* Wed Jan 29 2020 tv <tv> 3.180.0-1.mga8
+ Revision: 1484984
- update to 3.18

* Thu Jan 02 2020 tv <tv> 3.170.0-1.mga8
+ Revision: 1475554
- update to 3.17

* Tue Oct 29 2019 tv <tv> 3.160.0-1.mga8
+ Revision: 1456540
- update to 3.16

* Sat Sep 28 2019 tv <tv> 3.150.0-1.mga8
+ Revision: 1447891
- update to 3.15

* Sat Aug 10 2019 tv <tv> 3.140.0-1.mga8
+ Revision: 1428505
- update to 3.14
- update to 3.13

* Sat Jun 29 2019 tv <tv> 3.110.0-1.mga8
+ Revision: 1415960
- update to 3.11

* Sun Apr 07 2019 tv <tv> 3.80.0-1.mga7
+ Revision: 1386558
- update to 3.08

* Fri Apr 05 2019 tv <tv> 3.70.0-1.mga7
+ Revision: 1385936
- update to 3.07

* Fri Feb 15 2019 tv <tv> 3.60.0-1.mga7
+ Revision: 1367187
- update to 3.06

* Thu Jan 31 2019 tv <tv> 3.50.0-1.mga7
+ Revision: 1362149
- update to 3.05

* Mon Jan 21 2019 tv <tv> 3.40.0-1.mga7
+ Revision: 1358773
- update to 3.04

* Sat Jan 19 2019 tv <tv> 3.30.0-1.mga7
+ Revision: 1358053
- update to 3.03

* Tue Jan 08 2019 tv <tv> 3.20.0-1.mga7
+ Revision: 1351977
- update to 3.02

* Sun Jan 06 2019 tv <tv> 3.10.0-1.mga7
+ Revision: 1350000
- update to 3.01

* Sat Jan 05 2019 tv <tv> 3.0.0-1.mga7
+ Revision: 1349505
- update to 3.00

* Fri Dec 07 2018 tv <tv> 2.190.0-1.mga7
+ Revision: 1338750
- update to 2.19

* Fri Nov 16 2018 tv <tv> 2.180.0-1.mga7
+ Revision: 1330082
- update to 2.18

* Wed Nov 14 2018 tv <tv> 2.170.0-1.mga7
+ Revision: 1329912
- update to 2.17

* Wed Nov 07 2018 tv <tv> 2.150.0-1.mga7
+ Revision: 1328788
- update to 2.15

* Fri Oct 26 2018 tv <tv> 2.140.0-1.mga7
+ Revision: 1325659
- update to 2.14

* Thu Oct 18 2018 tv <tv> 2.130.0-1.mga7
+ Revision: 1321937
- update to 2.13

* Thu Oct 04 2018 tv <tv> 2.120.0-1.mga7
+ Revision: 1317295
- update to 2.12

* Wed Oct 03 2018 tv <tv> 2.110.0-1.mga7
+ Revision: 1316077
- update to 2.11

* Thu Sep 27 2018 tv <tv> 2.100.0-1.mga7
+ Revision: 1308100
- update to 2.10

* Thu Sep 20 2018 umeabot <umeabot> 1.30.0-3.mga7
+ Revision: 1284470
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.30.0-2.mga7
+ Revision: 1165054
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.30.0-1.mga7
+ Revision: 1160167
- update to 1.03

* Sun Sep 17 2017 bcornec <bcornec> 1.20.0-1.mga7
+ Revision: 1155114
- Update to upstream 1.02 + test build patch

* Mon Jul 31 2017 sander85 <sander85> 1.0.0-1.mga7
+ Revision: 1133302
- update to 1.00

* Sat Sep 03 2016 bcornec <bcornec> 0.840.0-1.mga6
+ Revision: 1049857
- Update to upstream perl-JSON-Validator 0.84

* Sun Jun 19 2016 pterjan <pterjan> 0.670.0-2.mga6
+ Revision: 1028877
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.670.0-1.mga6
+ Revision: 1001996
- update to 0.67

* Mon Feb 01 2016 bcornec <bcornec> 0.650.0-1.mga6
+ Revision: 930819
- Build as noarch and use appropriate make install macro (patch from David GEIGER)
- No debug pkg generated
- What I meant was Buildrequires deps for building perl-JSON-Validator
- import sha1.lst for the perl JSON::Validator module
- import the perl JSON::Validator module for Swagger2
- Created package structure for perl-JSON-Validator.

